be.fgov.ehealth.hubservices.core.v2

## Class FolderTypeUnbounded

- java.lang.Object
- - be.fgov.ehealth.hubservices.core.v2.FolderTypeUnbounded

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2023-04-04T03:03:10+02:00",
                 comments="JAXB RI v2.3.7")
      public class FolderTypeUnbounded
      extends Object
      implements Serializable

  Java class for FolderTypeUnbounded complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="FolderTypeUnbounded">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="patient" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}personType"/>
               <element name="transaction" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TransactionSummaryType" maxOccurs="unbounded"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FolderTypeUnbounded()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersonType` | `getPatient()` Gets the value of the patient property.
    `List<TransactionSummaryType>` | `getTransactions()` Gets the value of the transactions property.
    `void` | `setPatient(PersonType value)` Sets the value of the patient property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FolderTypeUnbounded

          public FolderTypeUnbounded()

  - ### Method Detail

    - #### getPatient

          public PersonType getPatient()

      Gets the value of the patient property.
      Returns:
        possible object is `PersonType`

    - #### setPatient

          public void setPatient(PersonType value)

      Sets the value of the patient property.
      Parameters:
        `value` - allowed object is `PersonType`

    - #### getTransactions

          public List<TransactionSummaryType> getTransactions()

      Gets the value of the transactions property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transactions property.

      For example, to add a new item, do as follows:

              getTransactions().add(newItem);

      Objects of the following type(s) are allowed in the list `TransactionSummaryType`

Connector Packaging PERSLOGOPEDIST 4.3.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.